
Katello - Bug #6174

Environment selection box and  '+ Additional info'  link disappears from system's details page

06/11/2014 08:23 PM - Walden Raines

Status: Closed   

Priority: High   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1020808 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1020808

Description of problem:

Register a system via rhsm and use published CV name while passing the env name.

for ex:

subscription-manager register --username admin --password admin --org org-name

--env env-name/cv-pub-name --force

System should be registered successfully. Now when you navigate the system -->All -->system details page, you will see the

"Environment Selection box" and "+ Additional information" link.

But when you navigate to some other tab like 'packages' or events and come back to details tab, the environment selection box and

"+ Additional info" link disappears

Version-Release number of selected component (if applicable):

snap6 compose2 (MDP2)

katello-1.4.6-40.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. Create a product/repo and sync it

2. create a cv and select the product and publish it

3. Promote the cv to next env

4. Register the system via rhsm and pass published name along ith env name ( as suggested above)

5. Go to Systems --All > select registered systems -> details

6. Navigate to 'Package' or 'Events' tabs

7. Again select 'details' tab

Actual results:

Environment selection box and  '+ Additional info'  link disappears from system's details page

Expected results:

should be there

Additional info:

Associated revisions

Revision 4b4ebe36 - 06/11/2014 04:34 PM - Walden Raines

Fixes #6174/BZ 1020808 - ensure host advanced info link is displayed.

The problem was that the event 'contentHost.loaded' only fired upon

the first visit to this page.  Using the $promise instead results

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1020808


in the advanced info link being displayed each time.

Revision e5543cd8 - 06/11/2014 05:23 PM - Walden Raines

Merge pull request #4253 from waldenraines/6174

Fixes #6174/BZ 1020808 - ensure host advanced info link is displayed.

Revision 6cf41a9f - 06/11/2014 08:34 PM - Walden Raines

Fixes #6174/BZ 1020808 - ensure host advanced info link is displayed.

The problem was that the event 'contentHost.loaded' only fired upon

the first visit to this page.  Using the $promise instead results

in the advanced info link being displayed each time.

Revision 384fc2a1 - 06/11/2014 09:23 PM - Walden Raines

Merge pull request #4253 from waldenraines/6174

Fixes #6174/BZ 1020808 - ensure host advanced info link is displayed.

History

#1 - 06/11/2014 08:27 PM - Walden Raines

- Status changed from New to Ready For Testing

- Triaged set to No

https://github.com/Katello/katello/pull/4253

#2 - 06/11/2014 09:21 PM - Eric Helms

- Target version set to 45

- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 06/11/2014 09:25 PM - Walden Raines

- Difficulty changed from trivial to easy

Only trivial after knowing what the problem was, finding it wasn't trivial.

#4 - 06/11/2014 09:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:6cf41a9f2cd16065027a96d12508def0fc27b8e5.

#5 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://github.com/Katello/katello/pull/4253
http://www.tcpdf.org

